package com.ruoyi.framework.util;

import com.ruoyi.common.core.domain.model.MpLoginUser;
import com.ruoyi.common.core.redis.RedisCache;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

/**
 * @author lyric
 * @date 2022/10/20 10:24
 */
@Component
public class UserInfoUtil {

    MpLoginUser mpLoginUser;

    private Logger log = LoggerFactory.getLogger(UserInfoUtil.class);


    public String getStudentName() {
        return mpLoginUser.getStudentName();
    }

    public String getType() {
        return mpLoginUser.getType();
    }

    public String getParentName() {
        return mpLoginUser.getParentName();
    }

    public String getTeacherName() {
        return mpLoginUser.getTeacherName();
    }

    public MpLoginUser getMpLoginUser() {
        return mpLoginUser;
    }

    public void setMpLoginUser(MpLoginUser mpLoginUser) {
        this.mpLoginUser = mpLoginUser;
    }

    public String getOpenId(){
        return mpLoginUser.getOpenId();
    }

    public Long getStudentId(){
        return mpLoginUser.getStudentId();
    }

    public void setStudentId(Long studentId){
        mpLoginUser.setStudentId(studentId);
    }

    public String getStudentIdCard(){
        return mpLoginUser.getStudentIdCard();
    }

    public Long getTeacherId(){
        return mpLoginUser.getTeacherId();
    }

    public Long getTeacherUserId(){
        return mpLoginUser.getTeacherUserId();
    }

    public String teacherIdCard(){
        return mpLoginUser.getTeacherIdCard();
    }

    public Long getParentId(){
        return mpLoginUser.getParentId();
    }
}
